@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

section {
  padding: 80px 200px;
}

.main {
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(https://cdn.discordapp.com/attachments/1085525397279621175/1177125687795130438/image.png?ex=65715eb9&is=655ee9b9&hm=6c3e2460244ced2412eae568&) no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.main .content {
  text-align: center;
  max-width: 800px;
}

.main .content h2 {
  color: #000000;
  font-size: 2em;
  font-weight: 500;
}

.main .content h2 span {
  font-size: 2.8em;
  font-weight: 600;
}

.btn {
  color: rgb(255, 255, 255);
  background: #000000;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  margin-top: 30px;
  border: none;
  transition: 0.5s ease;
}

.btn:hover {
  color: rgb(0, 0, 0);
  background: #ffffff;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  margin-top: 30px;
  border: none;
  transition: 0.5s ease;
}

.btn-2 {
  color: rgb(0, 0, 0);
  background: #ffffff;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  border-radius: 2px;
  margin-top: 30px;
  transition: 0.5s ease;
}

.btn-2:hover {
  color: rgb(255, 255, 255);
  background: #000000;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  border-radius: 2px;
  margin-top: 30px;
  transition: 0.5s ease;
}

header {
  z-index: 999;
  position: fixed;
  background: rgb(8, 8, 8);
  top: 0;
  left: 0;
  width: 100%;
  padding: 15px 200px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.5s ease;
}

header.sticky {
  background: rgb(8, 8, 8);
  padding: 10px 200px;
}

header .brand {
  color: #fff;
  font-size: 1.8em;
  font-weight: 700;
  text-transform: none;
  text-decoration: none;
}

header .navigation {
  position: relative;
}

header .navigation a {
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  text-decoration: none;
  margin-left: 30px;
}

header .navigation a:hover {
  color: #ffffff;
}

header.sticky .navigation a:hover {
  color: rgb(255, 255, 255);
}

body {
  min-height: 110vh;
}

.title {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.section-title {
  position: relative;
  color: #000000;
  font-size: 2.2em;
  font-weight: 800;
  margin-bottom: 60px;
}

.section-title-2 {
  position: relative;
  color: #000000;
  font-size: 2.2em;
  font-weight: 800;
  margin-bottom: 60px;
}

.about .content {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.about .content .col-left {
  position: relative;
  width: 45%;
}

.about .content .col-right {
  position: relative;
  width: 50%;
}

.about .content .col-left .img-card {
  position: relative;
  width: 100%;
  min-height: 450px;
}

.about .content .col-left .img-card img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.about .content .col-right .content-title {
  font-size: 2em;
  font-weight: 800;
  margin-bottom: 20px;
}

.about .content .col-right .paragraph-text {
  font-size: 1em;
}

.skills {
  background: #ffffff;
}

.skills .content {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: space-between;
  color: #000000;
  margin-top: 20px;
}

.skills .content .col-left {
  position: relative;
  width: 46%;
}

.skills .content .col-left .content-title {
  margin-bottom: 20px;
}

.skills .content .col-right {
  position: relative;
  width: 46%;
}

.skills .content .col-right .bar1 {
  margin-bottom: 15px;
  padding: 10px;
}

.skills .content .col-right .bar1 .info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 5px;
}

.skills .content .col-right .bar1 .info span {
  font-size: 18px;
  font-weight: 500;
}

.skills .content .col-right .bar1 .line {
  position: relative;
  width: 100%;
  height: 15px;
  background: rgb(100, 100, 100);
  border-radius: 2px;
}

.skills .content .col-right .bar1 .line:before {
  content: '';
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
  border-radius: 2px;
}

.skills .content .col-right .bar1 .a:before {
  width: 50%;
  background: #000000;
}

.skills .content .col-right .bar1 .b:before {
  width: 25%;
  background: #000000;
}

.contact .content {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: column;
  margin-top: 20px;
}

.contact .content .row {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
}

.contact .content .row .card {
  background: #fff;
  width: 240px;
  margin: 20px;
  padding: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
  border-radius: 10px;
}

.contact-icon a i.fab.fa-discord {
  color: rgb(0, 0, 0);
}

.contact-icon a i.fab.fa-tiktok {
  color: rgb(0, 0, 0);
}

.contact-icon a i.fab.fa-instagram {
  color: rgb(0, 0, 0);
}

.contact-icon a i.fab.fa-youtube {
  color: rgb(0, 0, 0);
}

.contact .content .row .card .contact-icon {
  color: #000000;
  font-size: 4em;
  text-align: center;
  transition: transform 0.5s ease;
}

.contact .content .row .card:hover .contact-icon {
  transform: translateY(-10px);
}

.contact .content .row .card .info {
  text-align: center;
}

.contact .content .row .card .info h3 {
  color: #111;
  font-size: 1.2em;
  font-weight: 700;
  margin: 10px;
}

.contact .content .row .card .info span {
  color: #666;
  font-weight: 500;
}

.contact-form {
  background: rgb(7, 7, 7);
  max-width: 600px;
  margin-top: 50px;
  padding: 50px;
  border-radius: 10px;
  box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
}

.contact-form h3 {
  color: #111;
  font-size: 1.6em;
  font-weight: 600;
  text-align: center;
  margin-bottom: 40px;
}

.contact-form .input-box {
  position: relative;
  width: 100%;
  margin-bottom: 20px;
}

.contact-form .input-box input,
.contact-form .input-box textarea {
  color: #111;
  width: 100%;
  padding: 10px;
  font-size: 1em;
  font-weight: 400;
  outline: none;
  border: 1px solid #111;
  border-radius: 5px;
  resize: none;
}

.contact-form .input-box .send-btn {
  color: #fff;
  background: #111111;
  display: inline-block;
  font-size: 1.1em;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 2px;
  width: 100%;
  border: none;
  cursor: pointer;
  transition: 0.5s ease;
}

.contact-form .input-box .send-btn:hover {
  background: #111111;
}

.footer {
  background: #111111;
  color: #fff;
  text-align: center;
  padding: 2em;
}

.footer .footer-title {
  font-size: 20px;
  font-weight: 600;
}

.footer p {
  font-size: 16px;
  margin-top: 10px;
}

.footer p a {
  color: #ffffff;
  font-weight: 600;
  text-decoration: none;
}

@media (max-width: 1040px) {
  header {
    padding: 12px 20px;
  }

  header.sticky {
    padding: 10px 20px;
  }




  /*menu*/

  header .navigation {
    display: none;
    transition: width 2s;
  }

  header .navigation.active {
    z-index: 888;
    position: fixed;
    background: #fff;
    top: 0;
    right: 0;
    width: 380px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
    transition: width 3s ease-in-out;
  }

  header .navigation:active {
    transition-delay: 2s;
    transition-duration: 2s;
    width: 100%;
  }

  header .navigation a {
    color: rgb(0, 0, 0);
    font-size: 1.2em;
    margin: 10px;
    padding: 0 20px;
    border-radius: 20px;
  }

  header .navigation a:hover {
    background: #3a6cf4;
    color: #fff;
    transition: 0.3s ease;
  }


.menu-btn {
  position: absolute;
  width: 40px;
  height: 40px;
  right: 0;
  margin: 0 20px;
  cursor: pointer;
  transition: 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px; /* ukuran ikon */
  color: #ffffff;     /* warna ikon */
}

.menu-btn.active {
  z-index: 999;
  transition: 0.3s ease;
  color: #000000; /* warna berubah saat aktif */
}

  section {
    padding: 80px 20px;
  }

  .main .content h2 {
    font-size: 1em;
  }

  .section-title {
    font-size: 1.8em;
  }

  .about .content {
    flex-direction: column;
  }

  .about .content .column {
    position: relative;
    width: 100%;
  }

  .about .content .col-right {
    margin-top: 40px;
  }

  .skills .content {
    flex-direction: column;
  }

  .skills .content .column {
    position: relative;
    width: 100%;
  }

  .skills .content .col-right {
    margin-top: 40px;
  }

  .contact-form {
    padding: 35px 40px;
  }
}

.scrollToTop-btn {
  z-index: 999;
  position: fixed;
  background: #000000;
  color: #fff;
  width: 45px;
  height: 45px;
  right: 0;
  bottom: 10px;
  font-size: 22px;
  text-align: center;
  line-height: 45px;
  border-radius: 3px;
  cursor: pointer;
  pointer-events: none;
  opacity: 0;
  transition: all 0.3s ease;
}

.scrollToTop-btn.active {
  right: 20px;
  opacity: 1;
  pointer-events: auto;
}

.reveal {
  position: relative;
  transform: translateY(50px);
  opacity: 0;
  transition: all 1.5s ease;
}

.reveal.active {
  transform: translateY(0);
  opacity: 1;
}